Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.impl.tomcat
Class TC6ContainerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.portal.web.impl.tomcat.TC6ContainerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.catalina.ContainerServlet

    public class TC6ContainerServlet

extends javax.servlet.http.HttpServlet
implements org.apache.catalina.ContainerServlet

Version:
  $Revision: 1.1 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`TC6ContainerServlet()`

Method Summary
`void` | `destroy()`
`org.apache.catalina.Wrapper` | `getWrapper()`
`void` | `init()`
`void` | `setWrapper(org.apache.catalina.Wrapper wrapper)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TC6ContainerServlet

    public TC6ContainerServlet()

Method Detail

### getWrapper

    public org.apache.catalina.Wrapper getWrapper()

  Specified by:
    `getWrapper` in interface `org.apache.catalina.ContainerServlet`

### setWrapper

    public void setWrapper(org.apache.catalina.Wrapper wrapper)

  Specified by:
    `setWrapper` in interface `org.apache.catalina.ContainerServlet`

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.